Subject: Re: bug#12008: Alphabetic sorting respect user's language and/or locale

From: martin rudalics <[email-masked]>
Date: Mon, 23 Jul 2012 11:34:53 +0200

> How do you mean "independent of the system locale"?  We already have
 > locale-independent string comparison: compare-strings, string<, etc.
 > By contrast, sorting strings in collation order is AFAIK inherently
 > locale-specific.  Or am I missing something?

Ideally, it should be possible to specify a locale-independent behavior.
But using the locale-specific one would be already a great improvement
for me.

 > (And btw, AFAIK Dired doesn't sort, it relies on 'ls' to do so, and
 > 'ls' uses 'strcoll' to sort file names.

I suppose this doesn't hold for the `ls' coming with GnuWin32.

 > Only on MS-Windows, where we
 > use ls-lisp.el, do we need to collate in Lisp as part of Dired.)

martin